## nbd 1.2cvs20020320

=== gznbd/Makefile ===
gznbd: gznbd.c
	gcc -s -Wall -O2 -DTRACE gznbd.c -o gznbd -lz
