## nbd 2.9.9

=== gznbd/Makefile ===
CC ?= gcc
CFLAGS ?= -s -O2
CFLAGS += -Wall
CPPFLAGS += -DTRACE
LDLIBS += -lz

all: gznbd
