## nbd 3.7

=== gznbd/Makefile ===
--- 
+++ 
@@ -5,3 +5,8 @@
 LDLIBS += -lz
 
 all: gznbd
+
+clean:
+	rm -f gznbd *.o
+
+.PHONY: all clean
