## nbd 3.15.1-2

=== debian/changelog ===
nbd (1:3.15.1-2) unstable; urgency=medium

  * Build nbd-client a second time with GnuTLS disabled, and install
    that into nbd-client-udeb; Closes: #848862.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 20 Dec 2016 20:36:11 +0100

nbd (1:3.15.1-1) unstable; urgency=medium

  * New upstream version; fixes WRITE_ZEROES with STARTTLS combination
    (one-line fix).

 -- Wouter Verhelst <wouter@debian.org>  Tue, 20 Dec 2016 12:22:53 +0100

nbd (1:3.15-1) unstable; urgency=medium

  * New upstream version
    - Add STARTTLS support; Closes: #409529
  * debian/control: build-depend on libgnutls28-dev to support the
    STARTTLS code.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 20 Dec 2016 01:08:18 +0100

nbd (1:3.14-4) unstable; urgency=medium

  * debian/nbd-server.postinst, debian/nbd-server.templates: remove
    leftover bits of pre-lenny upgrade support of nbd-server
    configuration, that somehow wasn't removed in 1:3.1-1
  * Cherry-pick one commit from upstream git to fix systemd unit
  * Add missing / at the end of the nbdpath= assignment in
    nbd-client.initrd. Closes: #840612.
  * Updated translations:
    - Danish, by Joe Dalton <joedalton2@yahoo.dk>; Closes: #830600.
    - Dutch, by yours truly. Unfortunately, while this translation was
      sitting in git, Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
      also submitted a Dutch translation. Keeping my original, but
      thanks anyway, Frans; Closes: #834620.
    - German, by Chris Leick <c.leick@vollbio.de>; Closes: #842495.
    - Brazilian Portuguese, by Adriano Rafael Gomes
      <adrianorg@arg.eti.br>; Closes: #824335.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 21 Nov 2016 22:53:37 +0100

nbd (1:3.14-3) unstable; urgency=medium

  * Fix nbd-client postinst file. Closes: #830187
  * Updated translations:
    - Portuguese, by Américo Monteiro <a_monteiro@gmx.com>; Closes:
      #829394.

 -- Wouter Verhelst <wouter@debian.org>  Thu, 07 Jul 2016 15:21:54 +0200

nbd (1:3.14-2) unstable; urgency=medium

  * Fix up override_dh_auto_build hack so it doesn't trigger when not
    building from git checkout
  * debian/nbd-client.init.d: ignore comments in nbdtab

 -- Wouter Verhelst <wouter@debian.org>  Fri, 01 Jul 2016 17:45:16 +0200

nbd (1:3.14-1) unstable; urgency=medium

  * New upstream release.
    - Adds systemd unit for nbd-client; Closes: #796633.
    - Fixes usage of AF_UNIX addresses, fixing the build on kFreeBSD;
      Closes: 815445
  * Remove cruft from build directory.
  * debian/rules:override_dh_auto_build: test for cruft in git checkout
    before allowing a build, to avoid unclean uploads in the future.
  * debian/nbd-client.init.d: convert uses of /etc/nbd-client to
    /etc/nbdtab
  * debian/nbd-client.config: remove
  * debian/nbd-client.postinst: drop generation of /etc/nbd-client, but
    generate /etc/nbdtab from /etc/nbd-client if it exists and nbdtab is
    still the original unmodified nbdtab file that is shipped as a
    conffile.
  * debian/nbd-client.templates: remove most templates, reword the one
    that is still used, add a second one. This invalidates most debconf
    translations, but leaves the nbd-server ones in place.
  * Updated translations:
    - Japanese, by Takuma Yamada; Closes: #815953.

 -- Wouter Verhelst <wouter@debian.org>  Thu, 30 Jun 2016 22:33:45 +0200

nbd (1:3.13-1) unstable; urgency=medium

  * New upstream release.
    - Adds missing LFS includes in the treefiles.c file too, and fixes a race
      condition in the creation of tree files, so that it doesn't fail on
      little-endian 32-bit architectures and randomly elsewhere. Closes: #809581

 -- Wouter Verhelst <wouter@debian.org>  Mon, 04 Jan 2016 11:26:41 +0100

nbd (1:3.12.1-2) unstable; urgency=medium

  * Drop dependency on initscripts. Closes: #804991.
  * Install nbdtab.5 manpage
  * tests/code/trim.c: add missing #include for lfs.h, so that off_t is
    typedef'd with the LFS defines active. This should fix various FTBFS
    errors.
  * Cherry-pick ee0b0c9a from git HEAD to fix the location of the
    readit() function in cliserv.c, so it is defined if WORDS_BIGENDIAN
    is active, too.
  * Updated translations:
    - French, by Christian Perrier; Closes: #809020.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 29 Dec 2015 02:40:33 +0100

nbd (1:3.12.1-1) unstable; urgency=medium

  * New upstream release
    - Fixes listening on IPv6; Closes: #803795.
    - Fixes unrepeated use of read() system call; Closes: #703052.
  * Merge never-released branch targeted at experimental, which dealt
    with the fact that the oldstyle handshake protocol is no longer
    supported in nbd upstream.
  * Update debconf translation changes introduced in 1:3.10-1~1:
    - Dutch, by yours truly
    - Portuguese, by Américo Monteiro; Closes: #801911
    - Russian, by Yuri Kuzlov; Closes: #801883
    - Danish, by Joe Dalton.
    - German, by Chris Leick; Closes: #802201
    - Czech, by Miroslav Kure; Closes: #803224
    - Spanish, by Camaleón; Closes: #803308

 -- Wouter Verhelst <wouter@debian.org>  Wed, 11 Nov 2015 11:04:37 +0100

nbd (1:3.10-1) unstable; urgency=medium

  * New upstream release.
    - Includes new "cowdir" option; Closes: #470963.
  * Cherry-pick patch for CVE-2015-0847 from git HEAD; Closes: #784657.

 -- Wouter Verhelst <wouter@debian.org>  Sun, 17 May 2015 10:49:32 +0200

nbd (1:3.10-1~1) experimental; urgency=medium

  * New upstream release.
    - Drops support for oldstyle (port-based) exports; only name-based
      exports are supported anymore.
  * In light of the above, remove support for port-based exports from
    debconf code.
  * While at it, remove configuration upgrade routines needed only for upgrades
    from etch (!) and older

 -- Wouter Verhelst <wouter@debian.org>  Fri, 20 Mar 2015 10:13:17 +0100

nbd (1:3.8-4) unstable; urgency=medium

  * Rebuild without loads of junk from other branches. My previous build
    happened in an unclean git checkout; there was a lot of stuff in the

