## nbd 3.15.2-3+deb9u1

=== debian/changelog ===
nbd (1:3.15.2-3+deb9u1) stretch-security; urgency=medium

  * Cherry-pick (relevant parts of) the fix for CVE-2022-26495 from git
    master. Closes: #1006915.
  * Fix parsing of nbdtab in nbd-client; Closes: #1003863.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 09 Mar 2022 11:33:47 +0200

nbd (1:3.15.2-3) unstable; urgency=medium

  * tests/run/certs/client-cert.pem: regenerate with a certificate
    validity of 10 years rather than 1, so that the test suite does not
    fail.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 24 Apr 2017 18:45:17 +0200

nbd (1:3.15.2-2) unstable; urgency=medium

  * Fix support for NFS-style exports that have ":/" in the name, to be
    better at backwards compatibility. Patch from Vagrant Cascadian;
    Closes: #846998. Thanks, Vagrant.
  * Fix IPv6 case of port-specifying exports, too. Patch by Vagrant as
    well; Closes: #840612.
  * Fix up Makefile.am so it really works on kFreeBSD, now, and rerun
    autotools.
  * Change configure.ac to hardcode version number rather than regenerating it
    from git tags (which doesn't work on the Debian branch...)

 -- Wouter Verhelst <wouter@debian.org>  Tue, 21 Mar 2017 14:41:37 +0100

nbd (1:3.15.2-1) unstable; urgency=medium

  * New upstream release
    - Fixes data corruption with multiple threads and copyonwrite enabled;
      Closes: #852288, #849504. Why did I create multiple bugs for this?
      Ah well, no matter.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 22 Feb 2017 00:09:31 +0100
