## nbd 3.26.1

=== debian/changelog ===
nbd (1:3.26.1-6.1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110445). Remaining changes:
    - Fix nbd autopkgtests to make the initrd-boot autopkgtest more robust and
      remove the flaky tag (LP #2054480)
      + d/t/control: remove flaky for initrd-boot, allow-root for initrd-boot test
      + d/t/initrd-boot: make initrd-boot pass on all architectures
        - Allocate swap space to not run out of memory (except armhf where it isn't
          possible)
        - Changes for s390x and ppc64el (LP #2078255)
          + Disable vga in debvm-run to avoid failing on ppc64el
          + Disable early failure as debvm-waitssh might fail on some
            architectures even when the test might pass

 -- Jonas Jelten <jonas.jelten@canonical.com>  Wed, 06 Aug 2025 16:45:37 +0200

nbd (1:3.26.1-6.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Update debconf template translations
    - Spanish translation.
      Thanks to Camaleón (Closes: #1051845)
    - Catalan translation.
      Thanks to Carles Pina i Estany (Closes: #1091710)
    - Brazilian Portuguese translation.
      Thanks to Carles Adriano Rafael Gomes (Closes: #1093455)
  * New debconf template translation
    - Romanian translation.
      Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org> 
      (Closes: #1101567)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 30 Mar 2025 08:23:50 +0200

nbd (1:3.26.1-6ubuntu1) plucky; urgency=medium

  * Fix nbd autopkgtests to make the initrd-boot autopkgtest more robust and
    remove the flaky tag (LP: #2054480)
    - d/t/control: remove flaky for initrd-boot, allow-root for initrd-boot test
    - d/t/initrd-boot: make initrd-boot pass on all architectures
      + Allocate swap space to not run out of memory (except armhf where it isn't
        possible)
      + Changes for s390x and ppc64el (LP: #2078255)
        - Disable vga in debvm-run to avoid failing on ppc64el
        - Disable early failure as debvm-waitssh might fail on some
          architectures even when the test might pass

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Thu, 23 Jan 2025 01:26:43 +0530

nbd (1:3.26.1-6) unstable; urgency=medium

  [ Michael Biebl ]
  * debian/tests/get-deb-codename.pl: drop, no longer required.
  * Mark initrd-boot autopkgtest as flaky; it doesn't pass on debci yet and
    thus blocks migration.

  [ Wouter Verhelst ]
  * debian/tests/initrd-boot: increase timeouts to (hopefully) allow for it to
    not fail.

  [ Helmut Grohne ]
  * Drop /sbin from nbd-client. (Closes: #1080063).

 -- Wouter Verhelst <wouter@debian.org>  Sun, 01 Sep 2024 20:14:32 +0200

nbd (1:3.26.1-5) unstable; urgency=medium

  * Ack NMU.
  * debian/tests/initrd-boot: Skip parsing os-release, as suggested by Helmut
    Grohne, to improve similarity between host and guest systems; not passing
    a distribution causes debvm-build to generate a VM with the same apt
    configuration as the host, so that should help.
  * debian/nbd-client.initrd: Drop cfq handling. CFQ has not been the default
    in the Linux kernel for ages now, and the handling requires grep, which is
    not in some initrd images.

 -- Wouter Verhelst <wouter@debian.org>  Sat, 24 Aug 2024 15:45:40 +0200

nbd (1:3.26.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/nbd-client.links: move the symlink to /usr. Closes: #1073693.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Aug 2024 09:22:24 +0200

nbd (1:3.26.1-4) unstable; urgency=medium

  * debian/not-installed: usrmerge this as well

 -- Wouter Verhelst <wouter@debian.org>  Wed, 17 Jul 2024 00:40:54 +0200

nbd (1:3.26.1-3) unstable; urgency=medium

  * debian/tests/initrd-boot: just source the whole os-release file,
    rather than trying to selectively grep things

 -- Wouter Verhelst <wouter@debian.org>  Tue, 16 Jul 2024 11:33:21 +0200

nbd (1:3.26.1-2) unstable; urgency=medium

  * systemd/nbd@.service.tmpl: cherry-pick patch from master to add dependency
    on the nbd module being loaded. Closes: #1070964.
  * debian/tests/initrd-boot: account for "set -u" in variables that we're
    validating.
  * debian/rules, debian/nbd-client.install, debian/nbd-server.install:
    Perform /usr move. Closes: 1073693.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 15 May 2024 11:23:04 +0200

nbd (1:3.26.1-2~exp2) experimental; urgency=medium

  * Use an ugly perl script to figure out whether we are running on
    unstable. Yah, I know.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 10 Apr 2024 12:36:19 +0200

nbd (1:3.26.1-2~exp1) experimental; urgency=medium

  * Add missing po-debconf build-dep

 -- Wouter Verhelst <wouter@debian.org>  Sun, 07 Apr 2024 14:55:35 +0200

nbd (1:3.26.1-2~exp0) experimental; urgency=medium

  [ Dave Jones ]
  * Add docbook build-dep, re-arrange build-deps
  * Fix lintian pedantic: silent-on-rules-requiring-root
  * Fix lintian warning: debian-rules-sets-dpkg-architecture-variable
  * Fix lintian error: alien tag init.d-script-missing-dependency-on-remote_fs
  * Fix lintian error: no-debconf-config
  * Fix lintian warning: maintainer-script-ignores-errors
  * Fix lintian warning: newer-debconf-templates
  * Fix lintian warning: newer-debconf-templates
  * Fix lintian warning: missing-systemd-service-for-init.d-script
  * Set sensible default for port
  * Fix the check & no cases of enable_manpages
  * Add a slightly more complicated read-write test
  * Add an initrd test
  * Tighten restrictions on server
  * Tighten restrictions on the nbd-client service
  * Fix lintian warning: systemd-service-file-shutdown-problems

  [ Wouter Verhelst ]
  * Drop now-superfluous g_key_file_free(). Closes: #1066831.

 -- Wouter Verhelst <wouter@debian.org>  Sun, 07 Apr 2024 11:54:59 +0200

nbd (1:3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Updated swedish debconf translations; Closes: #1057774.

