=== debian/control ===
--- 
+++ 
@@ -1,12 +1,24 @@
 Source: nbd
 Section: admin
 Priority: optional
-Maintainer: Wouter Verhelst <wouter@debian.org>
-Build-Depends: debhelper (>= 9), libglib2.0-dev (>= 2.26.0), libgnutls28-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/users/wouter/nbd.git
-Vcs-Browser: http://git.debian.org/?p=users/wouter/nbd.git;a=summary
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Wouter Verhelst <wouter@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ libglib2.0-dev (>= 2.26.0),
+ libgnutls28-dev,
+ libnl-genl-3-dev [linux-any],
+ docbook-utils,
+ docbook,
+ po-debconf,
+ autoconf-archive,
+ bison,
+ flex,
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/wouter/nbd.git
+Vcs-Browser: https://salsa.debian.org/wouter/nbd
 Homepage: http://nbd.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: nbd-server
 Architecture: any
@@ -43,8 +55,8 @@
 Package: nbd-client-udeb
 Section: debian-installer
 Priority: optional
-Depends: ${shlibs:Depends}
-XC-Package-Type: udeb
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Package-Type: udeb
 Architecture: linux-any
 Description: Network Block Device protocol - client for Debian Installer
  Network Block Device (NBD) is a client/server protocol that
