=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

clean:
	debconf-updatepo
	dh clean


override_dh_autoreconf:
	./autogen.sh

override_dh_auto_configure: debian/po/templates.pot
	test -f nbd.h
	if [ -d .git ]; then if [ $$(git status --porcelain | tee gitstatus | wc -l) -ne 1 ]; then echo "GIT STATUS:"; echo "==========="; cat gitstatus; exit 1; fi; rm gitstatus; fi
	dh_auto_configure -- --enable-lfs --enable-syslog \
			--mandir=/usr/share/man

override_dh_install:
	install -d debian/tmp/usr/share/initramfs-tools/scripts/local-top
	install -d debian/tmp/usr/share/initramfs-tools/hooks
	install -d debian/tmp/etc
	install -d debian/tmp/usr/share/nbd-server
	install -d debian/nbd-client-udeb/sbin
	install -m 644 debian/nbd-client.nbdtab debian/tmp/etc/nbdtab
	install -m 755 debian/nbd-client.initrd debian/tmp/usr/share/initramfs-tools/scripts/local-top/nbd
	install -m 755 debian/nbd-client.initramfs-hook debian/tmp/usr/share/initramfs-tools/hooks/nbd
	install -m 644 debian/nbd-server.conf.tmpl debian/tmp/usr/share/nbd-server/nbd-server.conf.tmpl
	if [ -f debian/tmp/sbin/min-nbd-client ]; then install -m 755 debian/tmp/sbin/min-nbd-client debian/nbd-client-udeb/sbin/nbd-client; fi
	dh_install -a

override_dh_installinit:
	dh_installinit -p nbd-client --no-start -- start 41 S . stop 34 0 6 .
	dh_installinit -p nbd-server

debian/po/templates.pot: debian/nbd-client.templates debian/nbd-server.templates
	@debconf-updatepo
